Subject: Re: [PATCH 1/4] [POWERPC] Implement GPIO API embryo

From: Segher Boessenkool <[email-masked]>
Date: Sun, 23 Dec 2007 11:00:26 +0100

> I think part of what's happening here is due to the patch's history.

That doesn't make it right though ;-)

> Obviously a
> driver for a particular gpio controller would generally need to assert
> that the controller's #gpio-cells has the correct value for this
> controller type, after which code like the above would be acceptable.

Well to nitpick...  _a_ correct value.  But sure, if this is device-
specific code, it is okay.  OTOH, this really should be a helper
function that each GPIO controller driver can use.

Segher